package com.oguerreiro.resilient.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.oguerreiro.resilient.domain.ContentPage;
import com.oguerreiro.resilient.repository.ContentPageRepository;
import com.oguerreiro.resilient.service.dto.ContentPageDTO;
import com.oguerreiro.resilient.service.mapper.ContentPageMapper;

/**
 * Service Implementation for managing {@link com.oguerreiro.resilient.domain.ContentPage}.
 */
@Service
@Transactional
public class ContentPageService extends AbstractResilientService<ContentPageDTO, ContentPage, Long> {

  public ContentPageService(ContentPageRepository contentPageRepository, ContentPageMapper contentPageMapper) {
    super(ContentPage.class, contentPageRepository, contentPageMapper);

  }
}
