package com.oguerreiro.resilient.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.oguerreiro.resilient.domain.Document;
import com.oguerreiro.resilient.repository.DocumentRepository;
import com.oguerreiro.resilient.service.dto.DocumentDTO;
import com.oguerreiro.resilient.service.mapper.DocumentMapper;

/**
 * Service Implementation for managing {@link com.oguerreiro.resilient.domain.Document}.
 */
@Service
@Transactional
public class DocumentService extends AbstractResilientService<DocumentDTO, Document, Long> {

  public DocumentService(DocumentRepository documentRepository, DocumentMapper documentMapper) {
    super(Document.class, documentRepository, documentMapper);
  }

}
