package com.oguerreiro.resilient.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.oguerreiro.resilient.domain.MetadataValue;
import com.oguerreiro.resilient.repository.MetadataValueRepository;
import com.oguerreiro.resilient.service.dto.MetadataValueDTO;
import com.oguerreiro.resilient.service.mapper.MetadataValueMapper;

/**
 * Service Implementation for managing {@link com.oguerreiro.resilient.domain.MetadataValue}.
 */
@Service
@Transactional
public class MetadataValueService extends AbstractResilientService<MetadataValueDTO, MetadataValue, Long> {

  public MetadataValueService(MetadataValueRepository metadataValueRepository,
      MetadataValueMapper metadataValueMapper) {
    super(MetadataValue.class, metadataValueRepository, metadataValueMapper);
  }

}
