import { Routes } from '@angular/router';

const routes: Routes = [
  {
    path: 'authority',
    data: { pageTitle: 'resilientApp.adminAuthority.home.title' },
    loadChildren: () => import('./admin/authority/authority.routes'),
  },
  {
    path: 'organization-type',
    data: { pageTitle: 'resilientApp.organizationType.home.title' },
    loadChildren: () => import('./organization-type/organization-type.routes'),
  },
  {
    path: 'organization',
    data: { pageTitle: 'resilientApp.organization.home.title' },
    loadChildren: () => import('./organization/organization.routes'),
  },
  {
    path: 'metadata-property',
    data: { pageTitle: 'resilientApp.metadataProperty.home.title' },
    loadChildren: () => import('./metadata-property/metadata-property.routes'),
  },
  {
    path: 'metadata-value',
    data: { pageTitle: 'resilientApp.metadataValue.home.title' },
    loadChildren: () => import('./metadata-value/metadata-value.routes'),
  },
  {
    path: 'unit-type',
    data: { pageTitle: 'resilientApp.unitType.home.title' },
    loadChildren: () => import('./unit-type/unit-type.routes'),
  },
  {
    path: 'unit',
    data: { pageTitle: 'resilientApp.unit.home.title' },
    loadChildren: () => import('./unit/unit.routes'),
  },
  {
    path: 'unit-converter',
    data: { pageTitle: 'resilientApp.unitConverter.home.title' },
    loadChildren: () => import('./unit-converter/unit-converter.routes'),
  },
  {
    path: 'variable-scope',
    data: { pageTitle: 'resilientApp.variableScope.home.title' },
    loadChildren: () => import('./variable-scope/variable-scope.routes'),
  },
  {
    path: 'variable-category',
    data: { pageTitle: 'resilientApp.variableCategory.home.title' },
    loadChildren: () => import('./variable-category/variable-category.routes'),
  },
  {
    path: 'variable',
    data: { pageTitle: 'resilientApp.variable.home.title' },
    loadChildren: () => import('./variable/variable.routes'),
  },
  /* REMOVED 'variable-units'. No direct access. Maintenance done from 'variable' */
  {
    path: 'variable-class-type',
    data: { pageTitle: 'resilientApp.variableClassType.home.title' },
    loadChildren: () => import('./variable-class-type/variable-class-type.routes'),
  },
  /* REMOVED 'variable-class'. No direct access. Maintenance done from 'variable-class-type' */
  {
    path: 'period',
    data: { pageTitle: 'resilientApp.period.home.title' },
    loadChildren: () => import('./period/period.routes'),
  },
  {
    path: 'emission-factor',
    data: { pageTitle: 'resilientApp.emissionFactor.home.title' },
    loadChildren: () => import('./emission-factor/emission-factor.routes'),
  },
  {
    path: 'input-data',
    data: { pageTitle: 'resilientApp.inputData.home.title' },
    loadChildren: () => import('./input-data/input-data.routes'),
  },
  {
    path: 'input-data-upload',
    data: { pageTitle: 'resilientApp.inputDataUpload.home.title' },
    loadChildren: () => import('./input-data-upload/input-data-upload.routes'),
  },
  {
    path: 'input-data-upload-log',
    data: { pageTitle: 'resilientApp.inputDataUploadLog.home.title' },
    loadChildren: () => import('./input-data-upload-log/input-data-upload-log.routes'),
  },
  {
    path: 'output-data',
    data: { pageTitle: 'resilientApp.outputData.home.title' },
    loadChildren: () => import('./output-data/output-data.routes'),
  },
  {
    path: 'dashboard-component',
    data: { pageTitle: 'resilientApp.dashboardComponent.home.title' },
    loadChildren: () => import('./dashboard-component/dashboard-component.routes'),
  },
  {
    path: 'dashboard',
    data: { pageTitle: 'resilientApp.dashboard.home.title' },
    loadChildren: () => import('./dashboard/dashboard.routes'),
  },
  {
    path: 'inventory',
    data: { pageTitle: 'resilientApp.inventory.home.title' },
    loadChildren: () => import('./inventory/inventory.routes'),
  },
  {
    path: 'document',
    data: { pageTitle: 'resilientApp.document.home.title' },
    loadChildren: () => import('./document/document.routes'),
  },
  {
    path: 'content-page',
    data: { pageTitle: 'resilientApp.contentPage.home.title' },
    loadChildren: () => import('./content-page/content-page.routes'),
  },
];

export default routes;
