import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';

import { IVariableScope } from 'app/entities/variable-scope/variable-scope.model';

export interface IVariableCategory extends IResilientEntity {
  code?: string | null;
  name?: string | null;
  description?: string | null;
  variableScope?: Pick<IVariableScope, 'id' | 'name' | 'code'> | null;
  hiddenForData?: boolean | null;
  hiddenForFactor?: boolean | null;
}

export type NewVariableCategory = Omit<IVariableCategory, 'id'> & { id: null };
