import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';
import { SecurityResourceType } from './../security-resource-type.model';
import { SecurityPermission } from './../security-permission.model';

export interface ISecurityResource extends IResilientEntity {
  code?: string | null;
  name?: string | null;
  type?: SecurityResourceType | null;
  defaultCreatePermission?: SecurityPermission | null;
  defaultReadPermission?: SecurityPermission | null;
  defaultUpdatePermission?: SecurityPermission | null;
  defaultDeletePermission?: SecurityPermission | null;
}

export type NewSecurityResource = Omit<ISecurityResource, 'id'> & { id: null };
